Subject: Re: Searching for blank space...

From: [email-masked] (David W. Tamkin)
Date: Wed, 24 Aug 1994 21:11:04 -0500 (CDT)

| Would like any comments/help on how to search for blank space. I get
| "junk" mail that is sent without any subject line - therefore I want to
| search for all mail without a subjectline and then dump it.
|
| Here's what I put and nothing happens - it stil ends up in the IN box
|
| :0:
| * ^Subject. *
| TRASH                       <---- puts it ina folder named TRASH

You're still searching for a header line that starts with Subject, has one
more character (which will match on the colon), then has zero or more spaces,
and then could continue or end in any fashion at all.  That will match any
letter that has a subject header!

I'm not sure exactly what you want to weed out: letters with no subjects
or letters with blank subjects?

To catch mail that has no subject, do this:

 :0 # and whatever other flags or local lockfile apply
 * !^Subject:
 action

To catch mail that has an empty subject line, do this.  I think the right
anchor was what you may have been looking for:

 :0 # and whatever other flags or local lockfile apply
 * ^Subject: *$
 action

David W. Tamkin  P. O. Box 3284  Skokie IL  60076-6284
[email-masked]   MCI Mail: 426-1818   +1 312 714 5610